Install Nextcloud - dependency problem

v7
nextcloud

(Miroslav Cáfal) #1

NethServer Version: NethServer release 7.3.1611
Module: Nextcloud

Hi, today I want to give a try to Nextcloud, but I was unable to install it. Here is report:

[root@server1 ~]# yum install nethserver-nextcloud nextcloud
Loaded plugins: changelog, fastestmirror, nethserver_events
Loading mirror speeds from cached hostfile

  • base: ftp.energotel.sk
  • epel: ftp.upjs.sk
  • extras: ftp.energotel.sk
  • nethforge: mirror1.nethserver.org
  • nethserver-base: mirror1.nethserver.org
  • nethserver-updates: mirror1.nethserver.org
  • updates: ftp.energotel.sk
    Resolving Dependencies
    –> Running transaction check
    —> Package nethserver-nextcloud.noarch 0:1.1.7-1.ns7 will be installed
    –> Processing Dependency: sclo-php56-php-smbclient for package: nethserver-nextcloud-1.1.7-1.ns7.noarch
    –> Processing Dependency: samba-client for package: nethserver-nextcloud-1.1.7-1.ns7.noarch
    –> Processing Dependency: nethserver-rh-php56-php-fpm for package: nethserver-nextcloud-1.1.7-1.ns7.noarch
    —> Package nextcloud.noarch 0:12.0.2-2.el7 will be installed
    –> Processing Dependency: rh-php56-php-xml for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-pear for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-pdo for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-mysqlnd for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-mbstring for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-ldap for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-intl for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-gd for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-fpm for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56 for package: nextcloud-12.0.2-2.el7.noarch
    –> Running transaction check
    —> Package nethserver-nextcloud.noarch 0:1.1.7-1.ns7 will be installed
    –> Processing Dependency: sclo-php56-php-smbclient for package: nethserver-nextcloud-1.1.7-1.ns7.noarch
    —> Package nethserver-rh-php56-php-fpm.noarch 0:1.0.0-1.ns7 will be installed
    –> Processing Dependency: rh-php56-php-fpm for package: nethserver-rh-php56-php-fpm-1.0.0-1.ns7.noarch
    –> Processing Dependency: rh-php56 for package: nethserver-rh-php56-php-fpm-1.0.0-1.ns7.noarch
    —> Package nextcloud.noarch 0:12.0.2-2.el7 will be installed
    –> Processing Dependency: rh-php56-php-xml for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-pear for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-pdo for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-mysqlnd for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-mbstring for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-ldap for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-intl for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-gd for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-fpm for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56 for package: nextcloud-12.0.2-2.el7.noarch
    —> Package samba-client.x86_64 0:4.4.4-14.el7_3 will be installed
    –> Processing Dependency: libarchive.so.13()(64bit) for package: samba-client-4.4.4-14.el7_3.x86_64
    –> Running transaction check
    —> Package libarchive.x86_64 0:3.1.2-10.el7_2 will be installed
    —> Package nethserver-nextcloud.noarch 0:1.1.7-1.ns7 will be installed
    –> Processing Dependency: sclo-php56-php-smbclient for package: nethserver-nextcloud-1.1.7-1.ns7.noarch
    —> Package nethserver-rh-php56-php-fpm.noarch 0:1.0.0-1.ns7 will be installed
    –> Processing Dependency: rh-php56-php-fpm for package: nethserver-rh-php56-php-fpm-1.0.0-1.ns7.noarch
    –> Processing Dependency: rh-php56 for package: nethserver-rh-php56-php-fpm-1.0.0-1.ns7.noarch
    —> Package nextcloud.noarch 0:12.0.2-2.el7 will be installed
    –> Processing Dependency: rh-php56-php-xml for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-pear for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-pdo for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-mysqlnd for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-mbstring for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-ldap for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-intl for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-gd for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56-php-fpm for package: nextcloud-12.0.2-2.el7.noarch
    –> Processing Dependency: rh-php56 for package: nextcloud-12.0.2-2.el7.noarch
    –> Finished Dependency Resolution
    Error: Package: nextcloud-12.0.2-2.el7.noarch (nethserver-updates)
    Requires: rh-php56-php-gd
    Error: Package: nextcloud-12.0.2-2.el7.noarch (nethserver-updates)
    Requires: rh-php56-php-fpm
    Error: Package: nextcloud-12.0.2-2.el7.noarch (nethserver-updates)
    Requires: rh-php56-php-intl
    Error: Package: nethserver-nextcloud-1.1.7-1.ns7.noarch (nethserver-updates)
    Requires: sclo-php56-php-smbclient
    Error: Package: nextcloud-12.0.2-2.el7.noarch (nethserver-updates)
    Requires: rh-php56-php-mbstring
    Error: Package: nextcloud-12.0.2-2.el7.noarch (nethserver-updates)
    Requires: rh-php56-php-pear
    Error: Package: nextcloud-12.0.2-2.el7.noarch (nethserver-updates)
    Requires: rh-php56-php-pdo
    Error: Package: nethserver-rh-php56-php-fpm-1.0.0-1.ns7.noarch (nethserver-updates)
    Requires: rh-php56-php-fpm
    Error: Package: nextcloud-12.0.2-2.el7.noarch (nethserver-updates)
    Requires: rh-php56-php-mysqlnd
    Error: Package: nextcloud-12.0.2-2.el7.noarch (nethserver-updates)
    Requires: rh-php56-php-ldap
    Error: Package: nextcloud-12.0.2-2.el7.noarch (nethserver-updates)
    Requires: rh-php56-php-xml
    Error: Package: nethserver-rh-php56-php-fpm-1.0.0-1.ns7.noarch (nethserver-updates)
    Requires: rh-php56
    Error: Package: nextcloud-12.0.2-2.el7.noarch (nethserver-updates)
    Requires: rh-php56
    You could try using --skip-broken to work around the problem
    You could try running: rpm -Va --nofiles --nodigest

Thanks for help.


(Giacomo Sanchietti) #2

You somehow have some disabled repositories.

Execute this command: yum repolist, and you should have an ouput like this:


base/7/x86_64 CentOS-7 - Base 9,363
centos-sclo-rh/x86_64 CentOS-7 - SCLo rh 6,002
centos-sclo-sclo/x86_64 CentOS-7 - SCLo sclo 467
epel/x86_64 Extra Packages for Enterprise Linux 7 - x86_64 11,882
extras/7/x86_64 CentOS-7 - Extras 451
nethforge/7/x86_64 NethForge 7 109
nethserver-base/7/x86_64 NethServer-7 - Base 146
nethserver-updates/7/x86_64 NethServer-7 - Updates 379
updates/7/x86_64

You need to enable centos-sclo-rh and centos-sclo-sclo repositories:

yum install yum-utils -y 
yum-config-manager --enable centos-sclo-rh centos-sclo-sclo

Then, reinstall nextcloud.


Nextcloud 13 upgrade
(Miroslav Cáfal) #3

Thanks for help. One thing must be added:
yum install centos-release-scl

And now installation is in progress.
Thanks for help.